//library based on code from http://mag.switch-science.com/2013/07/17/i2c-lcd-breakout/
//custom character info from http://ore-kb.net/archives/195

#ifndef I2C8X2LCD_h
#define I2C8X2LCD_h

#if defined(ARDUINO) && ARDUINO >= 100
#include <Arduino.h> 
#else
#include <WProgram.h> 
#endif

//LCD I2C Address
#define I2Cadr 0x3e

class I2C_8X2LCD
{
    public:
        I2C_8X2LCD();
        I2C_8X2LCD(int vccpin,int gndpin);
        
        void init(int contrast = 35);
        void lcd_cmd(byte x);
        
        void contdata(byte x);
        void lastdata(byte x);
        void printStr(byte x,byte y,const char *s);
        void printStr(const char *s);
        void printInt(int num);
        void printCh(byte x,byte y,const char s);
        void printCh(const char s);
        
        void clear();
        void setContrast(byte c);
        void doublemode(bool enable);
        
        void cursor(bool enable,bool position);
        void setCursor(byte x, byte y);

		void screen_move(bool right);
		void cursor_move(bool right);
		
		void customChar(int index, uint8_t charmap[]);

    private:
};
#endif
